package com.fjhx.jushuitan.service.jst;

import com.fjhx.jushuitan.entity.jst.po.JstOrderDetail;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.jushuitan.entity.jst.vo.JstOrderDetailVo;
import com.fjhx.jushuitan.entity.jst.dto.JstOrderDetailSelectDto;
import com.fjhx.jushuitan.entity.jst.dto.JstOrderDetailDto;

import java.util.List;

/**
 * <p>
 * 聚水潭订单明细表 服务类
 * </p>
 *
 * @author 
 * @since 2024-01-20
 */
public interface JstOrderDetailService extends BaseService<JstOrderDetail> {

    /**
     * 聚水潭订单明细表列表
     */
    List<JstOrderDetailVo> getList(JstOrderDetailSelectDto dto);

    /**
     * 聚水潭订单明细表分页
     */
    Page<JstOrderDetailVo> getPage(JstOrderDetailSelectDto dto);

    /**
     * 聚水潭订单明细表明细
     */
    JstOrderDetailVo detail(Long id);

    /**
     * 聚水潭订单明细表新增
     */
    void add(JstOrderDetailDto jstOrderDetailDto);

    /**
     * 聚水潭订单明细表编辑
     */
    void edit(JstOrderDetailDto jstOrderDetailDto);

    /**
     * 聚水潭订单明细表删除
     */
    void delete(Long id);

}
